UTTERANCE_LEVEL_FEATURE_NAMES = [
    "number_of_words",
    "n_nouns",
    "n_verbs",
    "n_adj",
    "n_cconj",
    "n_adv",
    "n_prepositions",
    "n_close_class_words",
    "n_independent",
    "n_dependent",
    "lemmas",
    "tree_heights",
    "words_in_voc",
]

# story-level names are the same with speaker level names
FEATURES_NAMES = [
    "average_utterance_length",
    "verbs_words_ratio",
    "nouns_words_ratio",
    "adjectives_words_ratio",
    "adverbs_words_ratio",
    "conjuctions_words_ratio",
    "prepositions_words_ratio",
    "words_per_minute",
    "verbs_per_utterance",
    "unique_words_per_words",
    "nouns_verbs_ratio",
    "number_of_words",
    "open_close_class_ratio",
    "mean_clauses_per_utterance",
    "mean_dependent_clauses",
    "mean_independent_clauses",
    "dependent_all_clauses_ratio",
    "mean_tree_height",
    "max_tree_depth",
    "n_independent",
    "n_dependent",
    "propositional_density",
    "words_in_vocabulary_per_words",
    "unique_words_in_vocabulary_per_words",
    # "coordinating_conjunctions_words_ratio",
    # "superlative_conjunctions_words_ratio",
    "determiners_words_ratio",
    "pronouns_words_ratio",
    # "interjections_words_ratio"
]

FEATURES_NAMES_SMALL = [
    "verbs_words_ratio",
    "nouns_words_ratio",
    "adjectives_words_ratio",
    "adverbs_words_ratio",
    # "conjuctions_words_ratio",
    "prepositions_words_ratio",
    "words_per_minute",
    "unique_words_per_words",
    "mean_tree_height",
    "max_tree_depth",
    "coordinating_conjunctions_words_ratio",
    "superlative_conjunctions_words_ratio",
    "determiners_words_ratio",
    "pronouns_words_ratio",
    "words_in_vocabulary_per_words",
    "unique_words_in_vocabulary_per_words",
    "determiners_words_ratio",
    "pronouns_words_ratio"
]

FEATURES_NAMES_SMALLER = [
    "verbs_words_ratio",
    "nouns_words_ratio",
    "adjectives_words_ratio",
    "adverbs_words_ratio",
    # "conjuctions_words_ratio",
    # "prepositions_words_ratio",
    "coordinating_conjunctions_words_ratio",
    "superlative_conjunctions_words_ratio",
    "determiners_words_ratio",
    "pronouns_words_ratio"
    # "words_per_minute",
    # "unique_words_per_words",
    # "mean_tree_height",
    # "max_tree_depth",
]


HELPER_NAMES = [
    "total_duration",
    "n_utterances",
    "number_of_words",
    "n_nouns",
    "n_verbs",
    "n_adj",
    "n_cconj",
    "n_adv",
    "n_prepositions",
    "n_close_class_words",
    "n_independent",
    "n_dependent",
    "lemmas",
    "tree_heights",
    "words_in_voc",
]
